#! /usr/bin/perl
#
# SUMMARY:      
# USAGE:        <script-name>
#
# AUTHOR:       Christophe Prud'homme
# ORG:           
# ORIG-DATE:     2-Nov-96 at 15:36:47
# LAST-MOD:      2-Nov-96 at 15:36:47 by Christophe Prud'homme
# DESCRIPTION:  
# DESCRIP-END.


open(FILE,"$ARGV[0]");

while(<FILE>) {
  s/\@itemize(\s*)\@bullet/\\begin{itemize}/;  
  s/\@end(\s*)itemize/\\end{itemize}/;  
  s/\@item/\\item/;
  s/\@example/\\begin{verbatim}/;
  s/\@end(\s*)example/\\end{verbatim}/;
  s/\@t{(.*)}/\\verb\+$1\+ /;
  s/\@t{(.*)}/\\verb\+$1\+ /;
  s/\@t{(.*)}/\\verb\+$1\+ /;
  s/\@i{/\\textit{/;
  s/\@i{/\\textit{/;
  s/\@i{/\\textit{/;
  s/\@b{/\\textbf{/;
  s/\@b{/\\textbf{/;
  s/\@b{/\\textbf{/;
  s/\@comment/%%/;
  s/\@section\s*(.*)/\\section{$1}/;	  
  s/\@subsection\s* (.*)/\\subsection{$1}/;	  
  s/\@end(.*)//;
  s/\@menu(.*)//;
  s/\@tex(.*)//;
  s/\@ifinfo(.*)//;
  s/\@node(.*)/%% node $1/;
  s/\@/\\/;
  s/\@}/\\}/;
  s/\@{/\\{/;
  print $_;
}
